Mono.Security [00 24 00 00 04 80 00 00 94 00 00 00 06 02 00 00 00 24 00 00 52 53 41 31 00 04 00 00 01 00 01 00 79 15 99 77 D2 D0 3A 8E 6B EA 7A 2E 74 E8 D1 AF CC 93 E8 85 19 74 95 2B B4 80 A1 2C 91 34 47 4D 04 06 24 47 C3 7E 0E 68 C0 80 53 6F CF 3C 3F BE 2F F9 C9 79 CE 99 84 75 E5 06 E8 CE 82 DD 5B 0F 35 0D C1 0E 93 BF 2E EE CF 87 4B 24 77 0C 50 81 DB EA 74 47 FD DA FA 27 7B 22 DE 47 D6 FF EA 44 96 74 A4 F9 FC CF 84 D1 50 69 08 93 80 28 4D BD D3 5F 46 CD FF 12 A1 BD 78 E4 EF 00 65 D0 16 DF] 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. System.Object ASN.1 (Abstract Syntax Notation One) data representation object. ITU ASN.1 standards are freely available at http://www.itu.int/ITU-T/studygroups/com17/languages/
- Constructor
  Initializes a new instance of the class.
  To be added
  1.0.5000.0
  2.0.0.0
- Constructor
  A value indicating an ASN.1 tag ID.
  Initializes a new instance of the class with a specified tag.
  To be added
  1.0.5000.0
  2.0.0.0
- Constructor
  A array consisting of the ASN.1 content data.
  Initializes a new instance of the class defined by a provided byte array.
  To be added
  1.0.5000.0
  2.0.0.0
- Constructor
  A value indicating an ASN.1 tag ID.
  A array consisting of the ASN.1 content data.
  Initializes a new instance of the class defined by a provided tag and byte array.
  To be added
  1.0.5000.0
  2.0.0.0
- Method
  Mono.Security.ASN1 `` The object to be added to the current instance's children elements. Adds a ASN.1 data representation instance to the children element list. A reference to the object added to the current instance. To be added 1.0.5000.0 2.0.0.0
- Method
  System.Boolean `` A byte array to compare against the current instance's content. Determines if the current instance content is the same as the specified array. A value indicating if the current instance content is the same as the specified content. The Equal method differs from the CompareValue method as CompareValue only compares the ASN.1 content; where the Equals method also compares its children's element's content. 1.0.5000.0 2.0.0.0
- Property
  System.Int32 Gets the number of children elements contained in the current instance. A that specifies the number of children elements contained in the current instance. To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` a byte array containing the ASN.1 encoded data to decode. a a Populate the current instance by recursively decoding the specified ASN.1 content array. To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` `` `` a a a a a Populate the current instance by recursively decoding the specified ASN.1 content array. Returns the ASN.1 type tag, length, and content to the calling function by parameter reference. 1.0.5000.0 2.0.0.0
- Method
  Mono.Security.ASN1 `` `` a a Locates the child instance that matches the specified tag. a To be added 1.0.5000.0 2.0.0.0
- Method
  System.Boolean `` a array. Determines if the current ASN.1 representation content, as well as its children's element's content, is equal to the specified array. a The Equal method differs from the CompareValue method as CompareValue only compares the ASN.1 content; where the Equals method also compares its children's element's content. 1.0.5000.0 2.0.0.0
- Method
  System.Byte[] Recursively gets the ASN.1 content as a array. a

  The GetBytes funcation returns the content of the current instance's children elements recursively.

  The array returned is encoded with ASN.1 standard-specific formatting.

  1.0.5000.0
  2.0.0.0
- Property
  Mono.Security.ASN1 `` A value that specifies the zero-based index of the element in the current instance to get. Gets the class instance that is associated with the specified index. The element instance associated with the specified index. To be added 1.0.5000.0 2.0.0.0
- Property
  System.Int32 Gets the length (in bytes) of the ASN.1 content in the current instance. a To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` The name of the file to save the current instance as. Saves the ASN.1 object contents to a file. The array returned is encoded with ASN.1 standard-specific formatting. 1.0.5000.0 2.0.0.0
- Property
  System.Byte Gets the ASN.1 content tag (numeric). a To be added 1.0.5000.0 2.0.0.0
- Method
  System.String Returns the ASN.1 content to its equivalent representation. The ASN.1 content in format. To be added 1.0.5000.0 2.0.0.0
- Property
  System.Byte[] Gets of sets the ASN.1 content represented by the current instance. a To be added 1.0.5000.0 2.0.0.0